MPE_Describe_comm_event(4)

NAME
MPE_Describe_comm_event - Describe the attributes of an event with byte informational data in a specified MPI_Comm and on the thread that the function is invoked.

SYNOPSIS
int MPE_Describe_comm_event( MPI_Comm comm, int eventID,
                             const char *name, const char *color,
                             const char *format )

INPUT PARAMETERS
comm
    - MPI_Comm where this process is part of.
eventID
    - event number for the event.
name
    - name of the event, the maximum length of the NULL-terminated string is, sizeof(CLOG_DESC), 32.
color
    - color of the event, the maximum length of the NULL-terminated string is, sizeof(CLOG_COLOR), 24.
format
    - printf style %-token format control string for the event, the maximum length of the NULL-terminated string is, sizeof(CLOG_FORMAT), 40. If format is NULL, it is equivalent to calling MPE_Describe_event(). The fortran interface of this routine considers the zero-length string, "", and single-blank string, " ", as NULL.

NOTES
Adds a event definition to the logfile. This function is threadsafe.

NOTES ON STORAGE FORMAT CONTROL SUPPORT
The format control string is printf like, e.g. "Comment = %s". All the MPE %-token storage support is provided by SLOG-2. That is whatever supported by SLOG-2 will be supported by MPE. Currently, the following is supported. %s : variable length string, byte buffer size is length of string + 2. %h : 2-byte integer, printed as decimal integer, byte buffer size is 2. %d : 4-byte integer, printed as decimal integer, byte buffer size is 4. %l : 8-byte integer, printed as decimal integer, byte buffer size is 8. %x : 4-byte integer, printed as hexadecimal integer, byte buffer size is 4. %X : 8-byte integer, printed as hexadecimal integer, byte buffer size is 8. %e : 4-byte float, printed as decimal float, byte buffer size is 4. %E : 8-byte float, printed as decimal float, byte buffer size is 8.

SEE ALSO
MPE_Log_get_solo_eventID()

LOCATION